Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class ActivityRecoveryDAOImpl

    java.lang.Object
      org.apache.ode.dao.jpa.ActivityRecoveryDAOImpl

All Implemented Interfaces:
  ActivityRecoveryDAO

    public class ActivityRecoveryDAOImpl

extends java.lang.Object
implements ActivityRecoveryDAO

Constructor Summary
`ActivityRecoveryDAOImpl()`
`ActivityRecoveryDAOImpl(java.lang.String channel, long activityId, java.lang.String reason, java.util.Date dateTime, org.w3c.dom.Element data, java.lang.String[] actions, int retries)`

Method Summary
`java.lang.String` | `getActions()`
`java.lang.String[]` | `getActionsList()`
`long` | `getActivityId()`
`java.lang.String` | `getChannel()`
`java.util.Date` | `getDateTime()`
`org.w3c.dom.Element` | `getDetails()`
`ProcessInstanceDAOImpl` | `getInstance()`
`java.lang.String` | `getReason()`
`int` | `getRetries()`
`void` | `setInstance(ProcessInstanceDAOImpl instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityRecoveryDAOImpl

    public ActivityRecoveryDAOImpl()

### ActivityRecoveryDAOImpl

    public ActivityRecoveryDAOImpl(java.lang.String channel,
                                   long activityId,
                                   java.lang.String reason,
                                   java.util.Date dateTime,
                                   org.w3c.dom.Element data,
                                   java.lang.String[] actions,
                                   int retries)

Method Detail

### getActions

    public java.lang.String getActions()

  Specified by:
    `getActions` in interface `ActivityRecoveryDAO`

### getActionsList

    public java.lang.String[] getActionsList()

  Specified by:
    `getActionsList` in interface `ActivityRecoveryDAO`

### getActivityId

    public long getActivityId()

  Specified by:
    `getActivityId` in interface `ActivityRecoveryDAO`

### getChannel

    public java.lang.String getChannel()

  Specified by:
    `getChannel` in interface `ActivityRecoveryDAO`

### getDateTime

    public java.util.Date getDateTime()

  Specified by:
    `getDateTime` in interface `ActivityRecoveryDAO`

### getDetails

    public org.w3c.dom.Element getDetails()

  Specified by:
    `getDetails` in interface `ActivityRecoveryDAO`

### getReason

    public java.lang.String getReason()

  Specified by:
    `getReason` in interface `ActivityRecoveryDAO`

### getRetries

    public int getRetries()

  Specified by:
    `getRetries` in interface `ActivityRecoveryDAO`

### getInstance

    public ProcessInstanceDAOImpl getInstance()

### setInstance

    public void setInstance(ProcessInstanceDAOImpl instance)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD